package cn.com.qmth.examcloud.exchange.outer.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseRequest;
import cn.com.qmth.examcloud.exchange.outer.api.bean.ExamStudent4BatchBean;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2019年1月8日
 */
public class OuterBatchSaveExamStudentReq extends EnterpriseRequest {

    private static final long serialVersionUID = 9086274932441194883L;

    @ApiModelProperty(value = "顶级机构ID", example = "123", required = true)
    private Long rootOrgId;

    @ApiModelProperty(value = "考试ID", example = "123")
    private Long examId;

    @ApiModelProperty(value = "考试编码", example = "2024年6月期末考试", required = true)
    private String examCode;

    @ApiModelProperty(value = "考试名称（实际作为考试编码使用）", example = "2024年6月期末考试")
    private String examName;

    @ApiModelProperty(value = "考生信息列表（条数限制每次100条内）", required = true)
    private List<ExamStudent4BatchBean> examStudentList;

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public List<ExamStudent4BatchBean> getExamStudentList() {
        return examStudentList;
    }

    public void setExamStudentList(List<ExamStudent4BatchBean> examStudentList) {
        this.examStudentList = examStudentList;
    }

}
