package cn.com.qmth.examcloud.exchange.outer.api.request.cug;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年11月16日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class OuterSaveCugStudentAndExamStudentReq extends EnterpriseRequest {

    private static final long serialVersionUID = 8293200048902081959L;

    @ApiModelProperty(value = "顶级机构ID", example = "123", required = true)
    private Long rootOrgId;

    @ApiModelProperty(value = "考试编码", example = "2024年6月期末考试", required = true)
    private String examCode;

    @ApiModelProperty(value = "考试名称（实际作为考试编码使用）", example = "2024年6月期末考试")
    private String examName;

    @ApiModelProperty(value = "考试试卷类型（大写字母A-Z）", example = "X", required = true)
    private String paperType;

    @ApiModelProperty(value = "学生姓名", example = "张三", required = true)
    private String name;

    @ApiModelProperty(value = "证件号", example = "123456789123456789X", required = true)
    private String identityNumber;

    @ApiModelProperty(value = "学号", example = "S123456789")
    private String studentCode;

    @ApiModelProperty(value = "专业名称", example = "计算机专业")
    private String specialtyName;

    @ApiModelProperty(value = "信息采集人", example = "xxx")
    private String infoCollector;

    @ApiModelProperty(value = "备注", example = "xxx")
    private String remark;

    @ApiModelProperty(value = "课程组", example = "本科", required = true)
    private String courseGroupName;

    @ApiModelProperty(value = "学习中心编码", example = "org123", required = true)
    private String orgCode;

    @ApiModelProperty(value = "学习中心名称", example = "中心123", required = true)
    private String orgName;

    @ApiModelProperty(value = "手机号码", example = "18600000001 ")
    private String phoneNumber;

    @ApiModelProperty(value = "底照图片URL", example = "http://xxx.xxx/xxx.jpg", hidden = true)
    private String photoUrl;

    @ApiModelProperty(value = "操作者", example = "xxx")
    private String operator;

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getPhotoUrl() {
        return photoUrl;
    }

    public void setPhotoUrl(String photoUrl) {
        this.photoUrl = photoUrl;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getSpecialtyName() {
        return specialtyName;
    }

    public void setSpecialtyName(String specialtyName) {
        this.specialtyName = specialtyName;
    }

    public String getCourseGroupName() {
        return courseGroupName;
    }

    public void setCourseGroupName(String courseGroupName) {
        this.courseGroupName = courseGroupName;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getInfoCollector() {
        return infoCollector;
    }

    public void setInfoCollector(String infoCollector) {
        this.infoCollector = infoCollector;
    }

}
